package com.malk.dongfangxinhua.schedule;

import com.malk.dongfangxinhua.service.PayService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

@Slf4j
@Configuration
@EnableScheduling
@ConditionalOnProperty(name = {"spel.scheduling"})
public class ScheduleTask {


     @Autowired
    PayService payService;

    /**
     * ，每天1点同步付款状态
     */
    @Scheduled(cron = " 0 0 1 * * ? ")
    public void syncPayStatus() {
        try {
            payService.syncPayStatus();
        } catch (Exception e) {
            // 记录错误信息
            e.printStackTrace();
        }
    }

    /**
     * 每天1点05执行凭证推送
     */
    @Scheduled(cron = " 0 5 1 * * ? ")
    public void syncErpStatus() {
        try {
//            payService.syncPayStatus();
        } catch (Exception e) {
            // 记录错误信息
            e.printStackTrace();
        }
    }


}
